XML Templates Class

package | phpLDAPadmin
subpackage | Templates

### Methods

## __construct()

    __construct($server_id)

### Parameters

#### $server_id

## Return a template by its ID

    getTemplate(string $templateid) : object

### Parameters

#### $templateid

`string`

The template ID as it was when it was generated (normally used in $_REQUEST vars).

### Returns

`object`Template (or default template if the ID doesnt exist)

## Return a list of templates by their type This function should return a sorted list, as the array is built sorted.

    getTemplates(string $type, boolean $container, $disabled) : array

### Parameters

#### $type

`string`

Type of template, eg: creation, modification

#### $container

`boolean`

Exclude templates purposely disabled.

#### $disabled

### Returns

`array`List of templates of the type

## This will return our custom class variables, used by the parent to create objects.

    getClassVars()

## Get a list of template filenames.

    getTemplateFiles()

### Properties

## $server_id

    $server_id

## $templates

    $templates